Subject: venue for review of draft-abarth-mime-sniff-03

From: Larry Masinter <[email-masked]>
Date: Mon, 25 Jan 2010 23:13:02 -0800

> I'm not sure what the best venue for discussing the
> draft might be.  I suspect that public-html,
> whatwg, or ietf-http-wg might have the most 
> knowledgeable folks.

The document as it stands on does not restrict
itself to sniffing only in the context of HTML,
or only for the applications within HTTP. Rather,
it is a general set of guidelines for content-type
heuristics. If you mean to have a narrower applicability
for this document, then it would need substantial
editing to make that clear, and would then also
need more analysis of the impact of having one 
interpretation of MIME for HTTP when invoked from
HTML while another for every other context.

I picked "apps-discuss" after a discussion
Lisa (apps area director). While it was previously
discussed on [email-masked], substantial
parts are out of scope for the current
HTTPBIS working group.

One of the major concerns about "sniffing"
is whether the sniffing rules are compatible with
the behavior of other Internet applications that
use MIME, e.g., email, news, instant messaging.

Since the document and concept has already had
substantial review within whatwg, ietf-http-wg,
public-html, and public-webapps, I think the
concern should turn to insuring review by the
rest of the affected protocol designers and 
implementors.

apps-discuss is archived:
https://www.ietf.org/mailman/listinfo/apps-discuss

Larry
--
http://larry.masinter.net

-----Original Message-----
From: Adam Barth
Sent: Wednesday, January 20, 2010 6:15 PM
To: Larry Masinter
Cc: HTTP Working Group; [email-masked]; [email-masked]
Subject: Re: FYI: review of draft-abarth-mime-sniff-03

Thanks Larry.  I'm not subscribed to apps-discuss, so I might not see
discussion that takes place there.  I'm not sure what the best venue
for discussing the draft might be.  I suspect that public-html,
whatwg, or ietf-http-wg might have the most knowledgeable folks.

Adam

On Wed, Jan 20, 2010 at 3:27 PM, Larry Masinter <[email-masked]> wrote:
> Since raised on W3C TAG
> http://lists.w3.org/Archives/Public/www-tag/2010Jan/0076.html:
>
> I reviewed draft-abarth-mime-sniff. I'm not sure I found all of the past
> discussion on the document, and I probably got some wrong, but it hasn't
> been updated in quite a while.
>
> I sent the review to apps-discuss (since it deals with non-HTTP sniffing as
> well):
>
> http://www.ietf.org/mail-archive/web/apps-discuss/current/msg01250.html
>
> (discussion on [email-masked])
>
> Since there are several W3C documents advancing that make normative
> reference to this, getting timely review should be a priority.
>
> Larry
> --
> http://larry.masinter.net